Summary: GPS mapping and management tool
Name: qmapshack
Version: 1.7.2
Release: %mkrel 3
Group: File tools
License: GPLv3+ and BSD
URL: https://bitbucket.org/maproom/qmapshack/wiki/Home
Source0: https://bitbucket.org/maproom/%{name}/downloads/%{name}-%{version}.tar.xz
Patch0: qmapshack-0.11.0-cmake28.patch
# use planetsplitter from routino package
Patch1: qmapshack-1.3.1-system-routino.diff
Requires: proj
Requires: gdal
Requires: routino
BuildRequires: cmake
BuildRequires: qttools5
BuildRequires: proj-devel
BuildRequires: gdal-devel
BuildRequires: zlib1-devel
BuildRequires: jpeg-devel
BuildRequires: desktop-file-utils
BuildRequires: routino
BuildRequires: lib64routino-devel
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64qt5script-devel 
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5webkitwidgets-devel
BuildRequires: lib64qt5designer-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64dmtx-devel 
BuildRequires: lib64exif12-devel
BuildRequires: lib64xerces-c-devel

%description
QMapShack provides a versatile tool for GPS maps in GeoTiff format as well as
Garmin's img vector map format. You can also view and edit your GPX tracks.
QMapShack is the successor of QLandkarteGT.

Main features:
- use of several work-spaces
- use several maps on a work-space
- handle data project-oriented
- exchange data with the device by drag-n-drop

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF ..
%make VERBOSE=1

%install
rm -rf %buildroot
%makeinstall_std -C build


# fix desktop validation
sed -i s+Geography+Science\;Geography+ %{buildroot}%{_datadir}/applications/%{name}.desktop
sed -i s+tracks+tracks\;+ %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/QMapShack.png
%{_datadir}/icons/hicolor/*x*/apps/QMapShack.png
%{_datadir}/icons/hicolor/scalable/apps/QMapShack.svg
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*

%changelog
* Thu Feb 23 2017 pp <pp> 1.7.2-3pclos2017
- rebuild against newer routino

* Tue Feb 21 2017 pp <pp> 1.7.2-2pclos2017
- rebuild

* Sun Feb 19 2017 pp <pp> 1.7.2-1pclos2017
- imported package qmapshack

